/*
 * @author lsy
 * @date   2020/6/28
 **/
import 'package:flutter_common/Annotations/anno/Get.dart';
import 'package:flutter_common/Annotations/anno/Query.dart';
import 'package:flutter_common/Annotations/anno/ServiceCenter.dart';
import 'package:gm_flutter/ClueModel/server/entity/LevelOneFeedList.dart';
import 'package:gm_flutter/ClueModel/server/entity/PlanBean.dart';
import 'package:gm_flutter/ClueModel/server/entity/PlanFeedBean.dart';

@ServiceCenter()
abstract class ClueApi {
  @Get("api/janus/plans/plan_feed")
  LevelOneFeedList getLevelOneList(@Query("plan_id") int plan_id,
      @Query("tab_type") String tab_type, @Query("page") int page);

  @Get("api/janus/plans/options")
  PlanBean getPlan();

  @Get("api/janus/plans/feed")
  PlanFeedBean getPlanFeed(
      @Query("tag_id")String tag_id,
      @Query("order_by")String order_by,
      @Query("current_city_id")String current_city_id,
      @Query("min_price")String min_price,
      @Query("max_price")String max_price,
      @Query("rank_type")String rank_type,
      @Query("page")int page,
      );
}
